### Method

# Gdk Event_get_distance

#### Declaration [src]

    gboolean
    gdk_events_get_distance (
      GdkEvent* event1,
      GdkEvent* event2,
      double* distance
    )

#### Description [src]

Returns the distance between the event locations.

This assumes that both events have X/Y information. If not, this function returns `FALSE`.

#### Parameters

`event2`

  Type: `GdkEvent`

  Second `GdkEvent`

  The data is owned by the caller of the method.

`distance`

  Type: `double*`

  Return location for the distance.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the distance could be calculated.